# $Revision: 1.38 $, $Date: 2008/07/27 22:36:48 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	QuickCheck
Summary:	HTML::QuickCheck - a simple and fast HTML syntax checking package for perl
Summary(pl.UTF-8):	HTML::QuickCheck - prosty i szybki pakiet do sprawdzania składni HTML-a
Name:		perl-HTML-QuickCheck
Version:	1.0b1
Release:	11
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55428ba8fefb469ddc7cdf0240172cb1
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::QuickCheck - fast simple validation of HMTL text.

The objective of the HTML::QuickCheck package is to provide a fast and
essential HTML check (esp. for CGI scripts where response time is
important) to prevent a piece of user input HTML code from messing up
the rest of a file, i.e., to minimize and localize any possible damage
created by including a piece of user input HTML text in a dynamic
document.

%description -l pl.UTF-8
Ideą pakietu HTML::QuickCheck jest udostępnienie szybkiego,
podstawowego interfejsu do sprawdzania poprawności HTML-a (w
szczególności, czas odpowiedzi jest istotny dla skryptów CGI), aby
zapobiec zamieszaniu w pliku, jakie może wprowadzić fragment danych
wejściowych w HTML-u. Tzn., ma na celu minimalizację i lokalizację
możliwych uszkodzeń dynamicznego dokumentu HTML poprzez wprowadzenie
przez użytkownika swoich danych jako HTML-u.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/HTML/QuickCheck.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-QuickCheck.spec,v $
Revision 1.38  2008/07/27 22:36:48  arekm
- release 11

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.35  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.34  2004/11/03 22:30:25  paladine
- formatting

Revision 1.33  2004/10/24 15:05:39  paladine
- spelling fix

Revision 1.32  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.31  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 16:13:34  ankry
- cosmetics: unifications

Revision 1.29  2004/04/22 09:36:19  ankry
- summary/desc

Revision 1.27  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:33:02  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:14:03  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:47:32  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:54  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:27:20  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:18  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/08 19:55:47  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
